## com.sun.jersey.api.core
Interface ExtendedUriInfo

All Superinterfaces:
  UriInfo

    public interface ExtendedUriInfo

extends UriInfo

Extensions to `UriInfo`.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.lang.Throwable` | `getMappedThrowable()` Get the throwable that was mapped to a response.
`AbstractResourceMethod` | `getMatchedMethod()` Get get matched resource method that was invoked.
`java.util.List<java.util.regex.MatchResult>` | `getMatchedResults()` Get a read-only list of `MatchResult` for matched resources.
`java.util.List<UriTemplate>` | `getMatchedTemplates()` Get a read-only list of `UriTemplate` for matched resources.
`java.util.List<PathSegment>` | `getPathSegments(java.lang.String name)` Get the path segments that contains a template variable.
`java.util.List<PathSegment>` | `getPathSegments(java.lang.String name, boolean decode)` Get the path segments that contains a template variable.

Methods inherited from interface javax.ws.rs.core.UriInfo
`getAbsolutePath, getAbsolutePathBuilder, getBaseUri, getBaseUriBuilder, getMatchedResources, getMatchedURIs, getMatchedURIs, getPath, getPath, getPathParameters, getPathParameters, getPathSegments, getPathSegments, getQueryParameters, getQueryParameters, getRequestUri, getRequestUriBuilder`

Method Detail

### getMatchedMethod

    AbstractResourceMethod getMatchedMethod()

  Get get matched resource method that was invoked.

  Returns:
    the matched resource method, otherwise null if no resource method was invoked.

### getMappedThrowable

    java.lang.Throwable getMappedThrowable()

  Get the throwable that was mapped to a response.

  A response filter or a message body writer may utilize this method to determine if a resource method was invoked but did not return a response because an exception was thrown from the resource method, or the resource method returned but a response filter threw an exception.

  Returns:
    the throwable that was mapped to a response, otherwise null if no throwable was mapped to a response.
  See Also:
    `ContainerResponse.getMappedThrowable()`

### getMatchedResults

    java.util.List<java.util.regex.MatchResult> getMatchedResults()

  Get a read-only list of `MatchResult` for matched resources. Entries are ordered in reverse request URI matching order, with the root resource match result last.

  Returns:
    a read-only list of match results for matched resources.

### getMatchedTemplates

    java.util.List<UriTemplate> getMatchedTemplates()

  Get a read-only list of `UriTemplate` for matched resources. Each entry is a URI template that is the value of the `Path` that is a partial path that matched a resource class, a sub-resource method or a sub-resource locator. Entries are ordered in reverse request URI matching order, with the root resource URI template last.

  Returns:
    a read-only list of URI templates for matched resources.

### getPathSegments

    java.util.List<PathSegment> getPathSegments(java.lang.String name)

  Get the path segments that contains a template variable. All sequences of escaped octets are decoded, equivalent to `getPathSegments(true)`.

  Parameters:
    `name` - the template variable name
  Returns:
    the path segments, the list will be empty the matching path does not contain the template

### getPathSegments

    java.util.List<PathSegment> getPathSegments(java.lang.String name,
                                                boolean decode)

  Get the path segments that contains a template variable.

  Parameters:
    `name` - the template variable name
    `decode` - controls whether sequences of escaped octets are decoded (true) or not (false).
  Returns:
    the path segments, the list will be empty the matching path does not contain the template

Copyright © 2017 Oracle Corporation. All Rights Reserved.